FullWrtTextInternal::Item Struct Reference

Internal: class to store an item state. More...

## Public Types

enum | Type { Father =0 , Child , Next , Prev , Main }
| the different type of id More...

## Public Member Functions

| Item ()
| constructor
std::string | label () const
| return a value which can be used to represent the label(changme)

## Public Attributes

int | m_level
| the level
int | m_index
| the actual index
bool | m_collapsed
| true if the item is hidden
bool | m_hidden
| true if the item is hidden
std::vector< int > | m_childList
| the list of childlist
std::shared_ptr< Zone > | m_hiddenZone
| the hidden item zone
int | m_structId [5]
| the item id in text struct zone ( father, child, next, prev, main )
std::string | m_extra
| extra data

## Friends

std::ostream & | operator<< (std::ostream &o, Item const &it)
| operator<<

## Detailed Description

Internal: class to store an item state.

## Member Enumeration Documentation

## Type

enum FullWrtTextInternal::Item::Type

the different type of id

Enumerator
Father |
Child |
Next |
Prev |
Main |

## Constructor & Destructor Documentation

## Item()

FullWrtTextInternal::Item::Item | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## label()

std::string FullWrtTextInternal::Item::label | ( |  | ) | const

inline

return a value which can be used to represent the label(changme)

Referenced by FullWrtText::send().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Item const & | it )

friend

operator<<

## Member Data Documentation

## m_childList

std::vector<int> FullWrtTextInternal::Item::m_childList

the list of childlist

Referenced by FullWrtText::createItemStructures(), Item(), and FullWrtText::send().

## m_collapsed

bool FullWrtTextInternal::Item::m_collapsed

true if the item is hidden

Referenced by Item(), operator<<, and FullWrtText::send().

## m_extra

std::string FullWrtTextInternal::Item::m_extra

extra data

Referenced by Item(), operator<<, and FullWrtText::readItem().

## m_hidden

bool FullWrtTextInternal::Item::m_hidden

true if the item is hidden

Referenced by FullWrtText::createItemStructures(), Item(), operator<<, and FullWrtText::readItem().

## m_hiddenZone

std::shared_ptr<Zone> FullWrtTextInternal::Item::m_hiddenZone

the hidden item zone

Referenced by Item().

## m_index

int FullWrtTextInternal::Item::m_index

the actual index

Referenced by Item(), label(), operator<<, and FullWrtText::readItem().

## m_level

int FullWrtTextInternal::Item::m_level

the level

Referenced by Item(), label(), operator<<, and FullWrtText::readItem().

## m_structId

int FullWrtTextInternal::Item::m_structId[5]

the item id in text struct zone ( father, child, next, prev, main )

Referenced by FullWrtText::createItemStructures(), Item(), operator<<, and FullWrtText::readItem().

The documentation for this struct was generated from the following file:

- FullWrtText.cxx